# git ls-remote https://github.com/roc-streaming/roc-toolkit.git
#global git_commit 127cfc645d0a807a33506001367b6d9a9d46f23e
#global git_date 20230110

#global git_short_commit %%(echo %%{git_commit} | cut -c -8)
#global git_suffix %%{git_date}git%%{git_short_commit}

%global abiver 0
%global sover %{abiver}.4

# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif
%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

%define libname %mklibname %{name} %{sover}
%define devname %mklibname %{name} -d

Name:		roc-toolkit
#Version:	0.2.1^%%{git_suffix}
Version:	%{sover}.0
Release:	%mkrel 1.2
Summary:	Real-time audio streaming
Summary(eo):    Realtempa sona elfluado
License:	MPL-2.0 AND LGPL-2.1-or-later AND CECILL-C
URL:		https://github.com/roc-streaming/roc-toolkit
#Source0:	%%{url}/archive/%%{git_commit}/%%{name}-%%{git_suffix}.tar.gz
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	python3-devel
BuildRequires:	python3-scons
BuildRequires:	python3-sphinxemoji
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	pkg-config
BuildRequires:	gengetopt
BuildRequires:	ragel
BuildRequires:	pkgconfig(libuv)
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	sox-devel
BuildRequires:	pkgconfig(libpulse)
BuildRequires:  pkgconfig(openfec)
BuildRequires:	python3-sphinx
BuildRequires:	python3-breathe
BuildRequires:	speexdsp-devel
BuildRequires:	openssl-devel
BuildRequires:	doxygen
# https://github.com/roc-streaming/roc-toolkit/issues/481
Patch0:		roc-toolkit-0.3.0-no-explicit-cpp98.patch

%description
Roc is a toolkit for real-time audio streaming over the network.

%description -l eo
%{name} estas ilaro por realtempa sona elfluado per reto.

%package -n %{libname}
Summary: Runtime libraries for roc-toolkit
Summary(eo): Plenumtempaj bibliotekoj por %{name}
Provides: %{name}

%description -n %{libname}
The %{libname} package contains runtime files for running programs
using %{name}.

%description -n %{libname} -l eo
La pako %{libname} enhavas plenumtempajn dosierojn por plenumi
programojn per %{name}.

%package -n %{devname}
Summary: Development libraries for roc-toolkit
Summary(eo): Disvolvaj bibliotekoj por %{name}
Requires: %{libname}%{?_isa} = %{version}-%{release}
Provides: roc-toolkit-devel

%description -n %{devname}
The %{devname} package contains header files necessary for
developing programs using %{name}.

%description -n %{devname} -l eo
La pako %{devname} enhavas ĉapdosierojn por disvolvi programojn kun
uzo de %{name}.

%package utils
Summary: Utilities for roc-toolkit
Summary(eo): Utilaĵoj por %{name}
Requires: %{libname}%{?_isa} = %{version}-%{release}

%description utils
Utilities for roc-toolkit.

%description utils -l eo
Utilaĵoj por %{name}.

%package doc
Summary: Documentation for roc-toolkit
summary(eo): Dokumentaro por %{name}

%description doc
Documentation for roc-toolkit.

%description doc -l eo
Dokumentaro por %{name}.

%prep
#autosetup -p1 -n %{name}-%{git_commit}
%autosetup -p1 -n %{name}-%{version}

%build
scons %{?_smp_mflags} --with-openfec-includes=%{_includedir}/openfec \
  CFLAGS="%{build_cflags}" CXXFLAGS="%{build_cxxflags}" LDFLAGS="%{build_ldflags}"
scons docs --enable-doxygen --enable-sphinx

%install
scons install --with-openfec-includes=%{_includedir}/openfec --prefix=%{buildroot}%{_prefix} \
  --libdir=%{buildroot}%{_libdir}

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libroc.so.%{abiver}
%{_libdir}/libroc.so.%{sover}

%files -n %{devname}
%{_includedir}/roc
%{_libdir}/libroc.so
%{_libdir}/pkgconfig/roc.pc

%files utils
%{_bindir}/roc-copy
%{_bindir}/roc-recv
%{_bindir}/roc-send
%{_mandir}/man1/*.1*

%files doc
%doc docs/html

%changelog
* Thu Feb  1 2024 Jaroslav Škarvada <jskarvad@redhat.com> - 0.3.0-1
- New version
- Fixed FTBFS
  Resolves: rhbz#2261654

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug  8 2023 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.1-4
- Fixed FTBFS
  Resolves: rhbz#2226398

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 10 2023 Wim Taymans <wtaymans@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Sat Dec 24 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.5^20221224git2017450a-1
- New snapshot

* Tue Oct 11 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.5^20220829git863a0227-3
- Disabled tests on 32 bit architectures (code is broken, use on own risk)

* Mon Oct 10 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.5^20220829git863a0227-2
- Switched license tag to SPDX format

* Sat Aug 20 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.5^20220829git863a0227-1
- Initial version
